Bug 164940 - ccs "Requires: magma-plugins" introduces circular build dependency
ccs "Requires: magma-plugins" introduces circular build dependency
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: ccs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2005-08-02 18:07 EDT by Charlie Brady
Modified: 2010-01-04 14:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-01-04 14:22:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charlie Brady 2005-08-02 18:07:15 EDT
* Fri Oct 22 2004 Chris Feist <cfeist@redhat.com>
- Update for new upstream sources
* Mon Aug 16 2004 Jon Brassow <jbrassow@redhat.com>
- add magma-plugins as an installation requirement
* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- buildrequires magma-devel not magma

Let's see, I cannot install ccs until I install magna-plugins. So I need to
build magna-plugins. For that, I need to have dlm-devel installed. To install
that, I need to install dlm. To install dlm, I need cman installed. To install
cman, I need ccs. To install ccs, I need magna-plugins. Hmmm....

To reproduce - start with clean RHEL4, and try to build all SRPMS from:


Proposed solutions:

- break some of the requirement of xxx-devel on xxx (you may need to duplicate
.so files between xxx-devel and xxx packages for that), so that only xxx-devel
packages need to be installed on compile servers.


- Back out the "Requires: magna-plugins" in this package.
Comment 1 Chris Feist 2005-08-15 18:30:06 EDT
This has been fixed in the latest magma (1.0.1-4).
Comment 2 Charlie Brady 2005-08-15 18:35:55 EDT
> This has been fixed in the latest magma (1.0.1-4).

Thanks. Is that package (and its peers) available?
Comment 3 Chris Feist 2005-08-15 18:40:14 EDT
It should be available once it has been officially released.
Comment 4 Matthew Booth 2006-01-24 07:18:12 EST
I have just discovered the hard way that ccsd *really requires* magma-plugins.
If it is not installed, you get:

[root@micah1 up2date]# service ccsd start
Starting ccsd:                                             [FAILED]

Looking in /var/log/messages, you get the extraordinarily useful:
Jan 24 12:20:57 micah1 ccsd[19220]: Starting ccsd 1.0.2:
Jan 24 12:20:57 micah1 ccsd[19220]:  Built: Aug  1 2005 14:36:29
Jan 24 12:20:57 micah1 ccsd[19220]:  Copyright (C) Red Hat, Inc.  2004  All
rights reserved.
Jan 24 12:20:57 micah1 ccsd: startup failed

strace -eopen ccsd -n gives:

open("/etc/ld.so.cache", O_RDONLY)      = 3
open("/usr/lib64/libxml2.so.2", O_RDONLY) = 3
open("/usr/lib64/libz.so.1", O_RDONLY)  = 3
open("/lib64/tls/libpthread.so.0", O_RDONLY) = 3
open("/lib64/tls/libm.so.6", O_RDONLY)  = 3
open("/lib64/libdl.so.2", O_RDONLY)     = 3
open("/lib64/tls/libc.so.6", O_RDONLY)  = 3
open("/etc/cluster/cluster.conf", O_RDONLY) = 3
open("/var/run/cluster/ccsd.pid", O_WRONLY|O_CREAT, 0644) = 3
Starting ccsd 1.0.2:
 Built: Aug  1 2005 14:36:29
 Copyright (C) Red Hat, Inc.  2004  All rights reserved.
  No Daemon:: SET

Process 19227 detached

strace -eopen -f ccsd -n is the first thing that starts to give a vague inkling
of what's going on here, ending with:

Process 19231 attached
[pid 19231] open("/lib64/magma", O_RDONLY|O_NONBLOCK|O_DIRECTORY) = -1 ENOENT
(No such file or directory)
Process 19231 detached
Process 19230 detached

The lack of a required dependency is a bug, but the lack of logging is criminal.

Note You need to log in before you can comment on or make changes to this bug.